package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PricingCtrlDAO;
import com.rjconsultores.ventaboletos.entidad.PricingCtrl;

@Repository("pricingCtrlDAO")
public class PricingCtrlHibernateDAO extends GenericHibernateDAO<PricingCtrl, Integer> implements PricingCtrlDAO {
	
	@Autowired
	public PricingCtrlHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	@SuppressWarnings("unchecked")
	public List<PricingCtrl> obtenerTodos() {
		Criteria c = this.makeCriteria();
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		return c.list();
	}

	@Override
	public PricingCtrl obtenerPricingCtrl() {
		Criteria c = this.makeCriteria();
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.setMaxResults(1);
		return (PricingCtrl) c.uniqueResult();
	}
	
}
